PRO DARTSCPS,xnpl,ynpl,wnpl,znpl,ttl,levels,colors
compile_opt hidden
on_error,1

;...preamble
if n_params() eq 0 then begin
print,'DARTSCPS,xnpl,ynpl,wnpl,znpl,ttl,levels,colors'
return & endif

;...initiate color plotting (PS)
@colorsetps.m
;ttl="DENNIS modeled wind Speed 07/10/05 19:30 UTC IN MPH'
ttl="Katrina modeled wind speed at landfall IN MPH"
;...create wind darts
snpl=sqrt(xnpl^2+ynpl^2)
znrmpl=znpl/wnpl & dxnpl=float(znrmpl)/3 & dynpl=imaginary(znrmpl)/3
xtip=xnpl+dxnpl & ytip=ynpl+dynpl & iwx=where(wnpl eq max(wnpl))
i5=where(snpl ge 4.98 and snpl le 5.02) &  i4=where(snpl ge 3.98 and snpl le 4.02)
i3=where(snpl ge 2.98 and snpl le 3.02) &  i2=where(snpl ge 1.98 and snpl le 2.02)
i1=where(snpl ge 0.98 and snpl le 1.02)
;
wnpl10mn=wnpl
wot1mn=wnpl
;
alp=0.0318731 & bet=0.8755406
;Correct marine mean wind to open terrain mean wind
wot10min=alp+bet*wnpl10mn 
;Compute Max 1 min wind for Open terrain
wot1mn =  wot10min * (1.152 - 0.0001956 *  wot10min)
;
print,wot1mn/wnpl10mn
; 
print,'size of wnpl is ',size(wnpl)
;my stuff here convert to 1mn average
;wnpl=wnpl*1.152355823
;For winds < 33 m/s
;G600,60 = 1.0692445 + 0.0015082 U600
;For winds > 33 m/s but < 40 m/s
;G600,60 = 1.1224572 - 0.0006525 U600 + 4.9278e-5 (U600-41.8667)^2 - 9.8085e-7 (U600-41.8667)^3
;For winds > 40 m/s
;G600,60= 1.093
;...contour windfield
!x.range=[-5,5] &!y.range=[-5,5] & !x.style=1 & !y.style=1 & !x.margin=[3,1] & !y.margin=[2,2]
;CONTOUR,2*wnpl(*,1:37),xnpl(*,1:37),ynpl(*,1:37),levels=levels,c_colors=colors,/fill,$
;title='!18'+ttl,c_charsize=1.0
;CONTOUR,wnpl,xnpl,ynpl,levels=5*indgen(33),/follow,/overplot,thick=2
;CONTOUR,2.241*wnpl,xnpl,ynpl,levels=levels,c_colors=colors,/fill,$
;title='!18'+ttl,c_charsize=1.0
;CONTOUR,2.241*wnpl,xnpl,ynpl,levels=levels,/follow,/overplot,thick=2
CONTOUR,2.241*wot1mn,xnpl,ynpl,levels=levels,c_colors=colors,/fill,$
title='!18'+ttl,c_charsize=1.0
CONTOUR,2.241*wot1mn,xnpl,ynpl,levels=levels,/follow,/overplot,thick=2

;...draw wind darts
;ARROW,xnpl(i5(0:*:2)),ynpl(i5(0:*:2)),xtip(i5(0:*:2)),ytip(i5(0:*:2)),/data,thick=4,hthick=4,hsize=-.2
;ARROW,xnpl(i4(1:*:2)),ynpl(i4(1:*:2)),xtip(i4(1:*:2)),ytip(i4(1:*:2)),/data,thick=4,hthick=4,hsize=-.2
;ARROW,xnpl(i3(2:*:3)),ynpl(i3(2:*:3)),xtip(i3(2:*:3)),ytip(i3(2:*:3)),/data,thick=4,hthick=4,hsize=-.2
;ARROW,xnpl(i2(3:*:4)),ynpl(i2(3:*:4)),xtip(i2(3:*:4)),ytip(i2(3:*:4)),/data,thick=4,hthick=4,hsize=-.2
;ARROW,xnpl(i1(4:*:5)),ynpl(i1(4:*:5)),xtip(i1(4:*:5)),ytip(i1(4:*:5)),/data,thick=4,hthick=4,hsize=-.2

;...include crosshairs
;OPLOT,[-6,6],[0,0],linestyle=2
;OPLOT,[0,0],[-6,6],linestyle=2

;...indicate location of peak winds
iwx=where(wnpl eq max(wnpl))
OPLOT,xnpl(iwx),ynpl(iwx),psym=1,thick=2

;...establish authorship
;sign='!18George A. Soukup'
;sign=SYSTIME()
sign=''
XYOUTS,-4.9,-4.9,sign,charthick=1,charsize=1.25
save,wnpl,filename='wnpl.idl'
END ;DARTSCPS.PRO

